Api key provided on integrations tab in Easyflow platform.
Filter movement
Returns a list of movements.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
business-idstringrequiredBusiness Identifier
Query parameters
pageintegerrequiredPage number to access
limitintegerrequiredNumber of items to be loaded per page
Request body
Optional Fields for movements Filtering
Content typeapplication/jsonobject
initialValueintegerendValueintegersubjectstringdescriptionstringhashstringoriginTypestringreferenceIdstringgroupIdstringinitialDatestringendDatestringomitDebitbooleanomitCreditboolean
Responses
200Returns a list of movements.
Returns a list of movements.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
movementsobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstringbusinessIdsarray of stringsvalueInCentsintegersubjectstringhashstringoriginTypestringocurredAtstringgroupIdstringreferenceIdstringdescriptionstring
currentPageintegerhasNextbooleanlimitintegernextPageintegernullabletotalDocsintegertotalPagesinteger
countintegertotalValueinteger
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.